=== debian/control ===
Source: ros-noetic-tesseract-environment
Section: misc
Priority: optional
Maintainer: Levi Armstrong <levi.armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), cmake, libconsole-bridge-dev, libeigen3-dev, libgtest-dev, libomp-dev, liborocos-kdl-dev, ros-noetic-ros-industrial-cmake-boilerplate, ros-noetic-tesseract-collision, ros-noetic-tesseract-common, ros-noetic-tesseract-geometry, ros-noetic-tesseract-kinematics, ros-noetic-tesseract-scene-graph, ros-noetic-tesseract-support, ros-noetic-tesseract-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-tesseract-environment
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, libeigen3-dev, liborocos-kdl-dev, ros-noetic-tesseract-collision, ros-noetic-tesseract-common, ros-noetic-tesseract-geometry, ros-noetic-tesseract-kinematics, ros-noetic-tesseract-scene-graph, ros-noetic-tesseract-urdf
Description: The tesseract_environment package contains environment
