=== debian/changelog ===
ros-noetic-tesseract-environment (0.18.1-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 30 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.18.0-1focal) focal; urgency=high

  * Update kinematics group inverse kinematics to harmonize within joint limits (#899 <https://github.com/tesseract-robotics/tesseract/issues/899>)
  * Trajectory logging fixup (#908 <https://github.com/tesseract-robotics/tesseract/issues/908>)
  * Improve Trajectory Collision Logging (#765 <https://github.com/tesseract-robotics/tesseract/issues/765>)
  * Add package cmake flags for testing, examples and benchmarks
  * Contributors: John Wason, Levi Armstrong, Tyler Marr

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 29 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.17.0-1focal) focal; urgency=high

  * Windows updates (#893 <https://github.com/tesseract-robotics/tesseract/issues/893>)
  * Fix check trajectory print statements (#892 <https://github.com/tesseract-robotics/tesseract/issues/892>)
  * implemented benchmarking for checking trajectories (#887 <https://github.com/tesseract-robotics/tesseract/issues/887>)
  * Contributors: John Wason, Levi Armstrong, Tyler Marr

 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 06 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.16.3-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 04 May 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.16.2-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 28 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.16.1-1focal) focal; urgency=high

  * Add unit tests to cover new addTrajectoryLinkCommand
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 11 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.16.0-1focal) focal; urgency=high

  * Improve collision code coverage
  * Add ContactResultMap shrinkToFit and CollisionCheckProgramType
  * Add AddTrajectoryLinkCommand
  * General cleanup of commands moving things to cpp
  * Add contact results class
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 09 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.15.3-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 22 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.15.2-1focal) focal; urgency=high

  * Switch include in tesseract_collision
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 15 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.15.1-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 14 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.15.0-1focal) focal; urgency=high

  * Improve tesseract_environment code coverage
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 03 Mar 2023 06:00:00 -0000

ros-noetic-tesseract-environment (0.14.0-1focal) focal; urgency=high

  * Add modify allowed collisions command
  * Add forgotten source file extension to CMakeLists.
  * Fix issue where cache is emptied by other threads after refresh causing segfault when popping environment on empty queue
  * Add EnvironmentCache and DefaultEnvironmentCache
  * Including <boost/serialization/library_version_type.hpp> for Boost 1.74. Fixes tesseract-robotics/tesseract#764 <https://github.com/tesseract-robotics/tesseract/issues/764>
  * Contributors: Levi Armstrong, Roelof Oomen

 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 23 Oct 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.13.1-1focal) focal; urgency=high

  * Move most SWIG commands to tesseract_python package (#809 <https://github.com/tesseract-robotics/tesseract/issues/809>)
  * Contributors: John Wason

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.13.0-1focal) focal; urgency=high

  * Update code based on clang-tidy-14
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 11 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.10.0-1focal) focal; urgency=high

  * Update ros_industrial_cmake_boilerplate to 0.3.0 (#795 <https://github.com/tesseract-robotics/tesseract/issues/795>)

 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 06 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.9.11-1focal) focal; urgency=high

  * Updated CPack (#786 <https://github.com/tesseract-robotics/tesseract/issues/786>)
  * Update to use find_gtest macro
  * Contributors: Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 30 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.9.10-1focal) focal; urgency=high

  * Make missing contact manager plugins a debug vs warn message
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 14 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.9.9-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.9.8-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.9.7-1focal) focal; urgency=high

  * Add environment discrete_manager_mutex_ and continuous_manager_mutex_
  * Allow not providing contact manager plugins
  * Add the ability to set the environment discrete and continuous manager to nullptr to save space when needed
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.9.6-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 02 May 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.9.5-1focal) focal; urgency=high




